<?php

namespace App\Classes\General\Eloquent\Filters;


use Carbon\Carbon;
use Illuminate\Database\Eloquent\Builder;

class CreatedAfter implements Filter
{

    /**
     * @param Builder $builder
     * @param $value
     * @return mixed
     */
    public static function apply(Builder $builder, $value)
    {
        return $builder->where('created_at', '>', Carbon::parse($value));
    }
}